{
    "namespace": "server_form",
    "main_screen_content": {
        "type": "panel",
        "size": [
            "100%",
            "100%"
        ],
        "controls": [
            {
                "server_form_factory": {
                    "type": "factory",
                    "control_ids": {
                        "long_form": "@server_form.long_form",
                        "custom_form": "@server_form.custom_form"
                    }
                }
            }
        ]
    },
    "sleeping_bag_screen_panel": {
        "type": "panel",
        "anchor_from": "center",
        "anchor_to": "center",
        "$text_name|default": "",
        "$panel_indent_size|default": [
            "100%",
            "100%"
        ],
        "$custom_background|default": "sleeping_bag.transparent_bg",
        "controls": [
            {
                "common_panel@common.common_panel": {
                    "$dialog_background": "$custom_background"
                }
            },
            {
                "panel_indent": {
                    "type": "panel",
                    "size": "$panel_indent_size",
                    "anchor_from": "top_middle",
                    "anchor_to": "top_middle",
                    "controls": [
                        {
                            "inside_header_panel@$child_control": {}
                        }
                    ]
                }
            }
        ]
    },
    "long_form": {
        "type": "panel",
        "size": [
            "100%",
            "100%"
        ],
        "controls": [
            {
                "standard_form@common_dialogs.main_panel_no_buttons": {
                    "$title_panel": "common_dialogs.standard_title_label",
                    "$title_size": [
                        "100% - 14px",
                        10
                    ],
                    "size": [
                        225,
                        200
                    ],
                    "$text_name": "#title_text",
                    "$title_text_binding_type": "none",
                    "$child_control": "server_form.long_form_panel",
                    "layer": 2,
                    "bindings": [
                        {
                            "binding_name": "#title_text"
                        },
                        {
                            "binding_type": "view",
                            "source_property_name": "(not (#title_text = 'screen.sleeping_bag') and not ((#title_text - '.beginnerQuests' - '.intermediateQuests' - '.advancedQuests' - '.expertQuests' - '.masteryQuests') = 'screen.quest_book') and ((#title_text - '§c§h§e§s§t') = #title_text) and ((#title_text - '§f§u§r§n§a§c§e') = #title_text))",
                            "target_property_name": "#visible"
                        }
                    ]
                }
            },
            {
                "quest_book_screen@common_dialogs.main_panel_no_buttons": {
                    "size": [
                        252,
                        140
                    ],
                    "$text_name": "",
                    "$child_control": "quest_book.quest_book_content",
                    "bindings": [
                        {
                            "binding_name": "#title_text"
                        },
                        {
                            "binding_type": "view",
                            "source_property_name": "((#title_text - '.beginnerQuests' - '.intermediateQuests' - '.advancedQuests' - '.expertQuests' - '.masteryQuests') = 'screen.quest_book')",
                            "target_property_name": "#visible"
                        }
                    ]
                }
            },
            {
                "sleeping_bag_screen@server_form.sleeping_bag_screen_panel": {
                    "size": [
                        "100%",
                        "100%"
                    ],
                    "$child_control": "sleeping_bag.sleeping_bag_content",
                    "$show_close_button": false,
                    "bindings": [
                        {
                            "binding_name": "#title_text"
                        },
                        {
                            "binding_type": "view",
                            "source_property_name": "(#title_text = 'screen.sleeping_bag')",
                            "target_property_name": "#visible"
                        }
                    ]
                }
            },
            {
                "chest_ui@chest_ui.chest_panel": {
                    "bindings": [
                        {
                            "binding_name": "#title_text"
                        },
                        {
                            "binding_type": "view",
                            "source_property_name": "(not ((#title_text - '§c§h§e§s§t') = #title_text))",
                            "target_property_name": "#visible"
                        }
                    ]
                }
            },
            {
                "furnace_ui@furnace_ui.furnace_panel": {
                    "ignored": "$disable_furnace_ui",
                    "bindings": [
                        {
                            "binding_name": "#title_text"
                        },
                        {
                            "binding_type": "view",
                            "source_property_name": "(not ((#title_text - '§f§u§r§n§a§c§e') = #title_text))",
                            "target_property_name": "#visible"
                        }
                    ]
                }
            }
        ]
    }
}